Bug 1692434 - Missing dependency on ocaml-findlib
Summary: Missing dependency on ocaml-findlib
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ocaml-menhir
Version: rawhide
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-25 15:32 UTC by Evan Nemerson
Modified: 2019-04-07 04:19 UTC (History)
1 user (show)

Fixed In Version: ocaml-menhir-20181113-3.fc30 ocaml-menhir-20171222-3.fc28 ocaml-menhir-20181006-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-01 00:01:14 UTC


Attachments (Terms of Use)

Description Evan Nemerson 2019-03-25 15:32:38 UTC
I'm trying to compile a project (CompCert) which uses Menhir, and getting "Error: Unbound module MenhirLib".

According to https://github.com/AbsInt/CompCert/issues/281#issuecomment-476111350 the package is compiled with support for ocamlfind, but it is not a dependency of ocaml-menhir-devel.

I've confirmed that installing ocaml-findlib fixes the problem, but it would be nice if this worked out of the box.  Since it's a devel package I don't think there should be an issue with depending on ocaml-menhir-devel.

Comment 1 Jerry James 2019-03-27 02:26:40 UTC
Interesting.  I must have always used menhir in circumstances where findlib was available for other reasons.  Thanks for reporting this issue.  I'll fix it right away.

Comment 2 Fedora Update System 2019-03-27 03:24:54 UTC
ocaml-menhir-20171222-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b7009d5833

Comment 3 Fedora Update System 2019-03-27 03:25:01 UTC
ocaml-menhir-20181006-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5308c721f8

Comment 4 Fedora Update System 2019-03-27 03:25:08 UTC
ocaml-menhir-20181113-3.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-556649b857

Comment 5 Fedora Update System 2019-03-27 18:18:14 UTC
ocaml-menhir-20181113-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-556649b857

Comment 6 Fedora Update System 2019-03-27 19:14:57 UTC
ocaml-menhir-20171222-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b7009d5833

Comment 7 Fedora Update System 2019-03-27 20:01:46 UTC
ocaml-menhir-20181006-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-5308c721f8

Comment 8 Fedora Update System 2019-04-01 00:01:14 UTC
ocaml-menhir-20181113-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-04-07 01:47:16 UTC
ocaml-menhir-20171222-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-04-07 04:19:41 UTC
ocaml-menhir-20181006-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.